# ModifyLockAnnouncement

*	 Auteur(s) : Pierre-Louis, Corentin, Rémy, Abdel
*	 Dernière mise à jour le 06/06/2016
*	 Télécharger [version stable][1]
*	 Télécharger [version de développement][2]

# Présentation #

Ce module complémentaire permet d'offrir la possibilité de modifier l'annonce des touches verrouillage numérique et majuscule, ainsi que la touche "arrêt de défilement" lors de l'emploi de NVDA.

Il devrait ajouter un menu dans le menu "Préférences" de NVDA intitulé "Modification de l'annonce des touches de verrouillage numérique, verrouillage majuscule et arrêt défilement".

Les cases à cocher "Activer l'annonce par défaut de la touche verrouillage numérique", "Activer l'annonce par défaut de la touche verrouillage majuscule" et "Activer l'annonce par défaut de la touche arrêt défilement" sont cochées par défaut.

Un raccourci-clavier peut être assigné au script permettant d'ouvrir la boîte de dialogue proposée par le module dans le menu "Gestes de commandes/Changement de l'annonce des touches de verrouillage".

## Notes ##

*	 À son installation, il vérifie la présence des modules complémentaires "VerNumEtVerMaj" et "shortLockAnnouncement" et propose des les supprimer car ils sont incompatibles;
*	 Pour que les boutons permettant de personnaliser l'annonce des touches de verrouillage soient disponibles, il faut décocher la ou les cases correspondantes aux touches dont on souhaite personnaliser l'annonce.

## Changements pour la version 1.0 ##

*	 Première version

[1]: http://cyber25.free.fr/nvda-addons/modifyLockAnnouncement.nvda-addon

[2]: http://cyber25.free.fr/nvda-addons/modifyLockAnnouncement-dev.nvda-addon


